# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_cppparser.h File Reference

`#include <istream>`
`#include <streambuf>`
`#include <libdirac_decoder/decoder_types.h>`
`#include <libdirac_common/common.h>`
`#include <libdirac_byteio/dirac_byte_stream.h>`

Include dependency graph for dirac_cppparser.h:

Go to the source code of this file.

## Namespaces

- namespace dirac

## Classes

- class dirac::InputStreamBuffer
    Input Stream Buffer Class. More...
- class dirac::DiracParser
    Dirac Stream Parser Class. More...

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.